package envoy.event;

import java.io.Serializable;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>Event.java</strong><br>
 * Created: <strong>04.12.2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @param <T> the type of the Event
 * @since Envoy v0.2-alpha
 */
public interface Event<T> extends Serializable {

	/**
	 * @return the data associated with this event
	 */
	default T get() { return null; }
}
